[v10.6]
1=Algoritmos de verificação otimizados para detectar e limpar arquivos deixados
2=Algoritmos de atualização otimizados para obter atualizações para seus programas instalados mais rapidamente
3=Aprimoramento de vários idiomas
4=Correção de problemas conhecidos

[v10.5]
1=Monitor de Instalação otimizado para monitoramento mais completo e preciso
2=Saúde de Programa melhorada para detectar e corrigir mais problemas de programas
3=Maior banco de dados de Removedor de Programas Teimosos para remover mais 130 programas teimosos
4=Maior banco de dados para remover mais 22% anúncios e plug-ins maliciosos para navegação mais rápida e segura
5=Todos os bugs conhecidos foram corrigidos

[v10.4]
1=Algoritmo de limpeza de sobras de programas melhorado para encontrar e limpar mais sobras
2=Banco de dados aumentado para remover mais 350 programas teimosos
3=Removedor de Programas Teimosos melhorado para detectar programas com problemas de desinstalação mais precisamente
4=Algumas melhorias na Interface Visual
5=Todos os bugs conhecidos foram corrigidos

[v10.3]
1=Limpeza de sobras melhorada para limpar mais arquivos e entradas de registro
2=Motor de desinstalação melhorado para remover programas grandes de forma mais completa
3=Banco de dados maior para remover mais 210 programas teimosos
4=Suporte adicionado para maximizar a janela de detalhes da História de Desinstalação e Relatório de Instalação
5=Problema de reconfiguração de aplicativos do Win 10 foi corrigido
6=Todos os bugs conhecidos foram corrigidos

[v10.2]
1=Remoção avançada de programas teimosos para detectar mais problemas de desinstalação ocorridos através do instalador da Microsoft
2=Banco de dados maior para remover mais 240 programas teimosos
3=Algoritmo avançado verifica por mais sobras de programas após a desinstalação
4=Monitor de Instalação otimizado para relatório de instalação mais completo ao monitorar atualizações de programas
5=Melhor interface do Atualizador de Programas para uma experiência mais amigável
6=Todos os bugs conhecidos foram corrigidos

[v10.1]
1=Novo Removedor de Programas Teimosos para remover programas teimosos com muito mais facilidade.
2=Banco de dados aumentado para remover mais 200 programas teimosos
3=Customização para escolher se você quer mostrar a opção Desinstalação Poderosa no menu de contexto do Windows
4=Customização para mostrar componentes run-time na lista de programas
5=O problema ocasional de detecção imprecisa do tamanho de programas e monitoramento de instalação instável em programas muito grandes.
6=Todos os bugs conhecidos foram corrigidos

[v10.0]
1=Velocidade de desinstação acelerada em 50%
2=Algoritmo de verificação melhorado para verificar 30% mais sobras de desinstalação
3=Saúde do Software melhorado para suportar o bloqueio de notificação de sites
4=Monitor de desinstalação melhorado para suportar novos serviços de monitoramento de sistema, tarefas agendadas e registro DLL
5=Algoritmo de detecção de programa otimizado para uma detecção mais precisa de programas raramente usados e bundleware
6=Corrigido o ocasional alerta incorreto de sobras de programas após atualizar alguns programas
7=Suporte adicionado para desinstalar mais de 40 programas teimosos como MPC-HC, SpyHunter5, Avast Antivirus, Rockstar Games, IntelliJ IDEA, e mais
8=Suporta a atualização de versões de diferentes idiomas de alguns programas populares como Firefox, WinRAR, e Mozilla Thunderbird
9=Suporta remoção de plugins do novo Microsoft Edge (Chromium)
10=Interface visual melhorada para uma melhor experiência de usuário
11=Duas skins: Escuro e Claro
12=Localização: 38 idiomas